obj
	sword
		name = "Sword"
		icon = 'weapons.dmi'
		icon_state = "sword"
		var
			strength = 3
			equipped = 0
		verb
			Equip()
				if (src.equipped == 1)
					usr << "You already have this equipped!" // make sure they aren't "DOUBLE" equipping.
				else
					src.name = "Sword \[Equipped]" // Change the name so player knows it's equipped.
					usr << "You wield the Sword."
					usr.strength += src.strength  // add the weapon strength to players strength. That way, player does more damage.
					src.equipped = 1 // set the objects variable for equipped to 1 so that it can pass as being equipped.

			Unequip()
				if (src.equipped == 1)
					usr << "You stop wielding the Sword."
					src.name = "Sword"
					usr.strength -= src.strength  // Take the weapons strength away from player, so they do less damage.
					src.equipped = 0
				else
					usr << "You don't have that equipped!"

			Get()
				set src in oview(1) // anyone within one tile of the object can get this verb
				usr << "You get the Sword!"
				usr.contents += src

	armor
		name = "Armor"
		icon = 'armor.dmi'
		icon_state = "armor"
		var
			defense = 3
			equipped = 0
		verb
			Equip()
				if (src.equipped == 1)
					usr << "You already have this equipped!"
				else
					src.name = "Armor \[Equipped]"
					usr << "You wear the Armor."
					usr.defense += src.defense
					src.equipped = 1

			Unequip()
				if (src.equipped == 1)
					usr << "You remove the Armor."
					src.name = "Armor"
					usr.defense -= src.defense
					src.equipped = 0
				else
					usr << "You aren't wearing that!"

			Get()
				set src in oview(1)
				usr << "You get the Armor!"
				usr.contents += src
