client/base_num_characters_allowed = 3

world
	mob = /mob/create_character

mob/create_character
	var/mob/character
	Login()
		var/charactername = input("Hello, Pick a name for your character, something you wish for people to call you in the game.","Character Name?")
		switch(input("Below pick one of the following backgrounds you wish for your character to be. It determines what skills you get in the game.","Character Background?") in list("Warrior","Cleric","Magician"))
			if ("Warrior")
				character = new /mob/You/Warrior()
			if ("Cleric")
				character = new /mob/You/Cleric()
			if ("Magician")
				character = new /mob/You/Magician()
		character.name = charactername
		src.client.mob = character
		if(character.gender=="female")
			character.icon_state="2"
		character.loc=locate (2,2,1)
		world<<"<B>[character] has logged in!"
		del(src)
		..()

mob/You/Logout()
	world<<"<B>[usr] has logged out!"
	del usr

mob/var
	goldinbank = 0

mob/Bank_Owner
	icon = 'Player4.dmi'
	NPC = 1
	verb
		Deposit()
			set src in oview(1)
			var/heh = input("You have [usr.gold] gold. How much do you wish to deposit?","Deposit") as num
			if (heh < 0)
				alert("Don't try cheating me!","Bank Keeper")
				return()
			if (heh > usr.gold)
				alert("You don't have that much!", "Deposit")
				return()

			usr << "You deposit [heh] gold."
			usr.gold -= heh
			usr.goldinbank += heh
			return()

		Withdraw()
			set src in oview(1)
			var/heh = input("You have [usr.goldinbank] gold in the bank. How much do you wish to withdraw?","Withdraw") as num
			if (heh < 0)
				alert("Don't try cheating me!","Bank Keeper")
				return()
			if (heh > usr.goldinbank)
				alert("You don't have that much in your bank account!", "Bank Keeper")
				return()

			usr << "You withdraw [heh] gold."
			usr.gold += heh
			usr.goldinbank -= heh
			return()

		Balance()
			set src in oview(1)
			usr << "You have [usr.goldinbank] gold in the bank."

mob/Innkeeper
	icon = 'Player5.dmi'
	NPC = 1
	verb
		Talk()
			set src in oview(1)
			switch(input("Would you like to stay at the inn for only 15 gold?")in list("Yes","No"))
				if("Yes")
					if(usr.gold<=14)
						usr<<"You need more gold! You only have [usr.gold]!"
						return
					else
						usr<<"You stay at the inn."
						usr.health=usr.maxhealth
						usr.mp=usr.maxmp
						usr.gold-=15
						sleep(5)
						usr<<"Come again!"
						return
					return
				if("No")
					return



mob/Stat()
   stat("Name:",src.name)
   stat("Gold:",src.gold)
   stat("Level:",src.level)
   stat("Health:","[usr.health]/[usr.maxhealth])")
   stat("Magic:","[usr.mp]/[usr.maxmp]")
   stat("Strength:",usr.strength)
   stat("Experience:","[usr.experience]/[usr.experiencetolevel]")

area
	Nomonsterpass1 //Make a new one for each area or else it will be buggy.
		Enter()
			if(usr.monster==1)
				return
			else
				usr.loc=locate(x,y,z)




mob
	proc
		LvlCheck()
			if(usr.experience>=usr.experiencetolevel)
				usr<<"<I><B><small>You gained a level!"
				usr.level+=1
				usr.maxhealth+=rand(1,5)
				usr.health=usr.maxhealth
				usr.maxmp+=rand(1,5)
				usr.mp=usr.maxmp
				usr.strength+=rand(1,5)
				usr.experiencetolevel*=2
				usr.experience=0
				usr.defense+=rand(1,5)

turf
	icon='turf.dmi'
	bush
		icon_state="bush"
		Enter()//Put this instead of density or else bugs will appear...
			return//Put this too.

mob/You/Warrior
	icon='Player1.dmi'

mob/You/Cleric
	icon='Player2.dmi'

mob/You/Magician
	icon='Player3.dmi'

mob
	Hobgoblin
		icon = 'Monster.dmi'
		monster = 1
		gold = 2
		health = 15
		maxhealth = 15
		strength = 2
		experience = 2
		level = 2
		NPC = 0
		New()
			. = ..()
			spawn()
				Wander()
		proc/Wander(var/mob/You/P)
			while(src)
				if(P in oview(5))
					step_towards(src,P)
					for(P in oview(1))
						break
					for(P in oview(2))
						break
					for(P in oview(3))
						break
					for(P in oview(4))
						break
				else
					step_rand(src)
					sleep(5)
					for(P in oview(5))
						break
				sleep(5)
			spawn(5)
				Wander()
		Bump(mob/M)
			if(M.player == 1)
				Fight(M)
			else
				return
		proc/Fight()
			for(var/mob/E in get_step(usr,usr.dir))
				var/damage = usr.strength - src.defense
				if(damage <= 0)
					damage = 1
					E << "[src] attacks you for [damage] damage!!"
					src<<"You attack [E] for [damage] damage!!"
					UserDcheck(E)
				else
					E.health -= damage
					E << "[src] attacks you for [damage] damage!!"
					src<<"You attack [E] for [damage] damage!!"
					UserDcheck(E)

mob
	proc/UserDcheck(mob/M)
		if(M.health<=0)
			M<<"<I><small>You died!"
			M.health=M.maxhealth
			M.mp=M.maxmp
			M.loc=locate(2,2,1)
			return

mob/verb/Say(t as text)
	world<<"<PRE><B>{[usr]}</B> [t]"